Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Statement_Expr

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base
              rdlc.sw.Statement
                  rdlc.sw.Statement_Expr

All Implemented Interfaces:
  Expression, Field

Direct Known Subclasses:
  Statement_If, Statement_Set, Statement_Special, Statement_While

    public class Statement_Expr

extends Statement

A statement which does nothing but evaluate an expression.

Version:
  $Revision: 1.5 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Expression` | `rVal` The expression this statement will evaluate.

Fields inherited from class rdlc.sw.Field_Base
`access`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`Statement_Expr(Instance _instance, Expression _rVal)` Simple constructor, merely records its arguments.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Expression` | `getRValue()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Field_Base
`getAccess`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### rVal

    protected Expression rVal

  The expression this statement will evaluate.

Constructor Detail

### Statement_Expr

    public Statement_Expr(Instance _instance,
                          Expression _rVal)

  Simple constructor, merely records its arguments.

  Parameters:
    `_instance` - The instance to add this statement to.
    `_rVal` - The expression this statement will evaluate.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Specified by:
    `copy` in interface `Field`
  Overrides:
    `copy` in class `Statement`
  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Statement`
  Returns:
    A human readable representation of this statement for debugging.

### getRValue

    public Expression getRValue()

  Simple accessor.

  Returns:
    The expression this statement will evaluate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD